package com.seer.teach.mp.admin.convert;

import com.seer.teach.mp.admin.controller.req.AgentEmployeeRelationQueryReq;
import com.seer.teach.mp.admin.controller.req.AgentEmployeeRelationReq;
import com.seer.teach.mp.admin.controller.req.AgentEmployeeSaveReq;
import com.seer.teach.mp.admin.controller.resp.AgentEmployeeRelationResp;
import com.seer.teach.mp.entity.MpAgentEmployeeRelationEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AdminAgentEmployeeRelationConvert {

    AdminAgentEmployeeRelationConvert INSTANCE = Mappers.getMapper(AdminAgentEmployeeRelationConvert.class);

    MpAgentEmployeeRelationEntity convert(AgentEmployeeRelationReq req);

    MpAgentEmployeeRelationEntity convert(AgentEmployeeRelationQueryReq req);

    AgentEmployeeRelationResp convertToResp(MpAgentEmployeeRelationEntity entity);

    List<AgentEmployeeRelationResp> convertToRespList(List<MpAgentEmployeeRelationEntity> mpAgentEmployeeRelationEntities);

    MpAgentEmployeeRelationEntity convert(AgentEmployeeSaveReq request);
}